/*------- View all ------*/
.t_slider_view_all
{
	display: inline-block;
	text-align: right;
	width: 100%;
	padding:0;
	
	> a
	{
		border: 1px solid transparent;
		padding: 2px 8px;
		display: inline-block;
		background-color:nth($f_color,19);
		@include style(3,5);
		transition: 0.5s all ease;
		
		&:hover
		{
			background-color:nth($f_color,5);
			border: 1px solid #ccc;
			color:nth($f_color,1);
			
		}
	}
}
/*----------- Filters -----------------*/
.t_slider_filter_main
{
	text-align:center;
	border-bottom: 1px solid $border-color;
	
	.filter_value
	{
		display: inline-block;
		padding: 4px 8px;
		margin-right: 8px;
		padding-bottom: 0;
		
		h4
		{
			@include style(7,9,inherit,null,uppercase);
			font-weight: bold;
			margin: 0;
			cursor:pointer;
			//padding-bottom: 4px;
			
			&.active
			{
				color:nth($f_color,3);
				//border-bottom:2px solid nth($f_color,19);
				
				&:after
				{	
					content: '';
					width: 100%;
					height: 2px;
					display: block;
					background-color: nth($f_color,19);	
					transition: width .3s ease-in-out;
					margin-top: 4px;
				}
			}
			&:after
			{	
				content: '';
				width: 0;
				height: 2px;
				display: block;
				background-color: nth($f_color,19);	
				transition: width .3s ease-in-out;
				margin-top: 4px;
			}
			
			&:hover
			{
				color:nth($f_color,3);
			
				&:after
				{
					content: '';
					width: 100%;
					height: 2px;
					display: block;
					background-color: nth($f_color,19);
					margin-top: 4px;
				}
			}
		}
	}
	.filter_value:last-child()
	{
		margin-right: 0;
	}
	
}


/*------Product slider Common styles------*/
.t_product_ind
{
	width:18%;
	float:left;
	background-color: #fff;
	//border: $input-border-width solid $border-color;
	margin:1%;
	text-align:center;
	position:relative;
	
	.ribbon-wrapper {
        right:unset;
        display:block;
        width:100%;
    }
    .label_div{
	    display: inline-block;
	    width: auto;
	    @include style(9,5,inherit,unset,uppercase)
	    background-color: nth($f_color,19);
	    padding: 3.5px 6px;
	    @include position(absolute,10px,unset,unset,10px)
	    max-width: 20px;
	    height: 21px;
	    overflow: hidden;
	    transition: all 0.5s ease;
	    z-index: 99;
	    div{
	        opacity: 0;
	    }
	}
    &:hover .label_div{
	        max-width: 100%;
	        transition: all 600ms ease;
	        div{
	            opacity: 1;
	            transition: all 500ms ease;
	        }
	    }
	
	&:hover .product_price  .btn.btn-primary
	{
		display:inline-block;
	}
	&:hover .oe_product_image
	{
		opacity: 0.2;
		transition: all 1s ease 0s;
	}
	
	.product_name
	{
		@include style(1,3)
		@include text-ellipsis;
		max-width: 95%;
	}
	
	.t_shop_del {
		display:block;
		margin:0 !important;
	}
}
.p_single_slider.carousel_two_slide,.p_filter_slider{
	overflow:hidden;
	
	.carousel-control
	{
		font-size:nth($f_sizes,4);
		z-index: 99;
		
		&.right
		{
			@include position(absolute,45%,0);
		}	
		&.left
		{
			@include position(absolute,45%,auto,auto,0);
		}
	}
	.carousel-control-prev{
		left: 0;
		width: auto;
		font-size: 14px;
		cursor: pointer;
		z-index: 100;
	}
	.carousel-control-next{
		right: -2px;
		width: auto;
		font-size: 14px;
		cursor: pointer;
		z-index: 100;
	}
}
.t_product_ind .product_price 
{
	position: static;

	.btn.btn-primary {
	 	 position: absolute;
		top: 30%;
		left:30%;
		z-index: 9;
		display:none;
	}
}
.zoom-animation{
   @keyframes zoominoutsinglefeatured {
	
  from {transform: scale(0);}
	to { transform: scale(1); }
}
}
.zoom-animation{
	animation: zoominoutsinglefeatured 1s;
}
/********************** Slider Style 1 ***********************/
.pc_style_1_main
{
	display:inline-block;
	width:100%;

	.t_slider_filter_main 
	{
		text-align: left;
		
		.filter_value 
		{
			margin-right: 16px;
			padding-left: 0;
		
			h4
			{
				@include style(4,3,inherit,null,capitalize)
				font-weight: normal;
			
				&.active
				{
					background-color:nth($f_color,19);
					color: #fff;
					padding: 4px 12px;
					&:after
					{
						display:none;
					}
				}
				&:hover
				{
					&:after
					{
						display:none;
					}
				}
				&:after
				{
					display:none;
				}
			}
		}
	}
	.t_slider_view_all > a
	{
		background: transparent;
		color: nth($f_color,2);
		border: 1px solid #ccc;
		-moz-transition: all .4s ease-out;
		-webkit-transition: all .4s ease-out;
		transition: all .4s ease-out;
		
		&:hover
		{
			background: nth($f_color,19);
			color: nth($f_color,5);
			border-color: nth($f_color,5);
		}
	}
}
.s_s1_ind
{
	border: 1px solid #e2e2e2;
	.label_div{
	    display: inline-block;
	    width: auto;
	    @include style(9,5,inherit,unset,uppercase)
	    background-color: nth($f_color,19);
	    padding: 3.5px 6px;
	    @include position(absolute,10px,unset,unset,25px)
	    max-width: 20px;
	    height: 21px;
	    overflow: hidden;
	    transition: all 0.5s ease;
	    z-index: 99;
	    div{
	        opacity: 0;
	    }
	}
    &:hover .label_div{
        max-width: 100%;
        transition: all 600ms ease;
        div{
            opacity: 1;
            transition: all 500ms ease;
        }
    }
	.t_prod_info
	{
		margin-top: -55px;
		overflow: hidden;
	
		.t_prod_info_sub
		{
			background-color:#F6F6F6;
			text-align: center;
			transform: translateY(55px);
			-webkit-transform: translateY(55px);
			-ms-transform: translateY(55px);
			-o-transform: translateY(55px);
			-webkit-transition: all .3s;
			-moz-transition: all .3s;
			-ms-transition: all .3s;
			-o-transition: all .3s;
			transition: all .3s;
			
			
			.product_name
			{
				@include style(1,3)
				@include text-ellipsis;
				max-width: 95%;
			}
			.product_price
			{
				@include style(2,6)
			}
			.prod_cart_wish
			{
				padding-top:1rem;
			
				.btn
				{
					padding: 0.5rem 0.8rem;
				}
			}
		}
	}
}
/********************** Slider Style 2 ***********************/
.slider_style_2{
	.slider_style_2_left_pannel{
		width:24%;
		float:left;
		min-height: 289px;
		
		.filter_div_class{
			.filter_id_class{
				margin: 0 !important;
				width: 100%;
				display: inline-block !important;
				padding: 7px 0 7px 0;
				.filter_value{
					font-size: 1.5rem !important; /* Custome size and color for important property */
					color: #000000 !important;
					text-transform: capitalize !important;
				}
			}
		}
		& h3.heading{
			text-align:center;
			@include style(19,3,inherit,null,capitalize);
			padding-top: 40%;
		}
		& a.view_all{
			text-align:center;
			display: inline-block;
			width: 100%;
		}
	}	
	.slider_style_2_right_pannel{
		width:100%;
		float:left;
		
		.t_product_ind{
			width:23%;
			border: 2px solid $border-color;
			transition: all .3s;
			
			&:hover
			{
				border: 2px solid nth($f_color,19);
			}
			&:hover .t_slider_img img
			{
				-moz-transform: scale(1.1);
				-webkit-transform: scale(1.1);
				transform: scale(1.1);
			}
			.t_slider_img span
			{
				overflow: hidden;
				position:relative;
				display:inline-block;
			
				img
				{
					max-width: 100%;
					-moz-transition: all .4s ease-out;
					-webkit-transition: all .4s ease-out;
					transition: all .4s ease-out;
				}
			}
			.t_prod_info
			{
				text-align:center;
				padding:1rem;
				.product_name
				{
					@include style(1,3);
					@include text-ellipsis;
					max-width: 95%;
				}
				.product_price
				{
					@include style(2,19);
				}
				.prod_cart_wish
				{
					padding-top:1rem;
				
					.btn
					{
						padding: 0.5rem 1rem ;
						background: transparent;
						color: nth($f_color,2);
						border: 1px solid nth($f_color,2);
						-moz-transition: all .4s ease-out;
						-webkit-transition: all .4s ease-out;
						transition: all .4s ease-out;
						
						&:hover
						{
							background: nth($f_color,19);
							color: nth($f_color,5);
							border: 1px solid nth($f_color,19);
						}
					}
				}
			}
		}
	}
}
.pf_style_2_single_slider
{
	.filter_div_class_single
	{
		position: relative;
		border-bottom: 0 !important;
		
		.load_more_style_2
		{
			@include position(absolute,auto,0,8px,auto);
			border: 1px solid #ccc;
			font-size: nth($f_sizes,18);
			padding: 0.1rem 0.5rem;
			-moz-transition: all .4s ease-out;
  			-webkit-transition: all .4s ease-out;
  			transition: all .4s ease-out;		
			
			&:hover
			{
				background:nth($f_color,19);
				color:nth($f_color,5);
				border-color:nth($f_color,19);
			}
		}
	}
}

/********************** Slider Style 3 ***********************/
.ps_style_3_main
{
	display: inline-block;
	width: 100%;
	
	.t_slider_details
	{	
		a.t_ps_product_name
		{
			@include style(1,6,inherit,null,capitalize)	
			@include text-ellipsis;
			max-width: 100%;
		}
		.product_price
		{
			font-weight:bold;
		}
		.btn-secondary
		{
			background-color:transparent;
			@include style(1,1);
			border: 1px solid #ccc;
			-moz-transition: all .4s ease-out;
  			-webkit-transition: all .4s ease-out;
  			transition: all .4s ease-out;		
			
			&.into_wishlist .fa ,&.disabled .fa
			{
				color:nth($f_color,19)
			}
			&:hover
			{
				border: 1px solid nth($f_color,19);
			}
		}
	}	
}

/********************** Slider Style 4 ***********************/
.ps_style_4_main
{
	display: inline-block;
	width: 100%;

}
.s4_product_details
{
	p
	{
		font-size:nth($f_sizes,3);
	}
}
.slider_style_4{
			.s4_desc_div{
				max-height: 5em;
    			overflow: hidden;
			}
				
			.style_4_item{
				width:49%;
				display:inline-block;
				padding-bottom: 25px;
				position: relative;
				
				.ribbon-wrapper {
			        right:unset;
			        display:block;
			        width:100%;
			    }
			    .label_div{
				    display: inline-block;
				    width: auto;
				    @include style(9,5,inherit,unset,uppercase)
				    background-color: nth($f_color,19);
				    padding: 3.5px 6px;
				    @include position(absolute,10px,unset,unset,10px)
				    max-width: 20px;
				    height: 21px;
				    overflow: hidden;
				    transition: all 0.5s ease;
				    z-index: 99;
				    div{
				        opacity: 0;
				    }
				}
			    &:hover .label_div{
				        max-width: 100%;
				        transition: all 600ms ease;
				        div{
				            opacity: 1;
				            transition: all 500ms ease;
				        }
				    }
	
				
				
				.t_slider_img{
					width:45%;
					display:inline-block;
					margin: 0 15px 0 0;
					vertical-align: top;
					border: 1px solid #ddd;
					
					img{
						width:auto;
						max-width:100%;
					}
				}
				.t_slider_details{
					width:43%;
					display:inline-block;
					vertical-align: top;
					padding: 1rem 0;
					
					
					.product_name{
						@include style(2,3,inherit,null,capitalize);
						@include text-ellipsis;
						max-width: 90%;
						font-weight: bold;
					}
					.product_price{
						padding-top:7px;
						@include style(1,3,inherit,null,null);
						
						b
						{
							font-weight: normal;
						}						
					}
					.prod_cart_wish
					{
						padding-top:1rem;
					
						.btn
						{
							padding: 0.5rem 1rem;
						}
					}
				}
			}
}



/* ********** Media Query ********** */
@media(min-width:1200px) {
	.s_s1_ind{
		&:hover .t_prod_info .t_prod_info_sub{
			transform: translateY(0);
			-webkit-transform: translateY(0);
			-ms-transform: translateY(0);
			-o-transform: translateY(0);
			position: relative;
			z-index: 9;	
		}
	}
}

@media(max-width:1200px) {
	.s_s1_ind{
		& .t_prod_info{
			overflow: visible;
			margin-top: 0;
			
			& .t_prod_info_sub{
				transform: translateY(0);
				-webkit-transform: translateY(0);
				-ms-transform: translateY(0);
				-o-transform: translateY(0);
				position: relative;
				z-index: 9;	
			}
		}
	}
}
@media(max-width:1140px) {
	.style_slideshow_3{
		text-align:left;
		.oe_theme_product_multi_slider_container {
			width:48%;
		}
	}
}
.c_style_1{
	@media (min-width: 576px) and (max-width: 1000px) {
		.carousel-inner {
		  .active {
			display: block;
			+ .carousel-item {
			  display: block;
			  + .carousel-item {
				display: block;
			  }
			}
		  }
		  .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) {
			transition: none;
			+ .carousel-item {
			  transition: none;
			  + .carousel-item {
				transition: none;
			  }
			}
		  }
		  .carousel-item-next {
			@include position(relative);
			transform: translate3d(0, 0, 0);
		  }
		  .active.carousel-item + .carousel-item + .carousel-item {
			@include position(absolute,0,-50%);
			z-index: -1;
			display: block;
			visibility: visible;
		  }
		}
		/* left or forward direction */
		.active.carousel-item-left + .carousel-item-next.carousel-item-left {
		  @include position(relative);
		  transform: translate3d(-100%, 0, 0);
		  visibility: visible;
		}
		.carousel-item-next.carousel-item-left + .carousel-item {
		  @include position(relative);
		  transition: transform 0.6s ease;
		  transform: translate3d(-100%, 0, 0);
		  visibility: visible;
		}
		/* farthest right hidden item must be abso position for animations */
		.carousel-inner .carousel-item-prev.carousel-item-right {
		  @include position(absolute,0,unset,unset,0);
		  z-index: -1;
		  display: block;
		  visibility: visible;
		}
		.active.carousel-item-right + .carousel-item-prev.carousel-item-right {
		  @include position(relative);
		  transform: translate3d(100%, 0, 0);
		  visibility: visible;
		  display: block;
		  visibility: visible;
		}
		.carousel-item-prev.carousel-item-right + .carousel-item,
		.carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item {
			@include position(relative);
			transition: transform 0.6s ease;
			transform: translate3d(100%, 0, 0);
			visibility: visible;
			display: block;
			visibility: visible;
		  }
		}

	@media (min-width: 1000px) {
	.carousel-inner {
		  .active {
			display: block;
			+ .carousel-item {
			  display: block;
			  + .carousel-item {
				display: block;
				+ .carousel-item {
				  display: block;
				}
			  }
			}
		  }
		  .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) {
			transition: none;
			+ .carousel-item {
			  transition: none;
			  + .carousel-item {
				transition: none;
				+ .carousel-item {
				  transition: none;
				}
			  }
			}
		  }
		  .carousel-item-next {
			@include position(relative);
			transform: translate3d(0, 0, 0);
		  }
		  .active.carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item {
			@include position(absolute,0,-25%)
			z-index: -1;
			display: block;
			visibility: visible;
		  }
		}
		.active.carousel-item-left + .carousel-item-next.carousel-item-left {
		  @include position(relative);
		  transition: transform 0.6s ease;
		  transform: translate3d(-100%, 0, 0);
		  visibility: visible;
		}
		.carousel-item-next.carousel-item-left + .carousel-item,
		.carousel-item-next.carousel-item-left + .carousel-item + .carousel-item,
		.carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item,
		.carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item + .carousel-item,
		 {
			@include position(relative);
			transition: transform 0.6s ease;
			transform: translate3d(-100%, 0, 0);
			visibility: visible;
		}
		.carousel-inner .carousel-item-prev.carousel-item-right {
		  @include position(absolute,0,unset,unset,0)
		  z-index: -1;
		  display: block;
		  visibility: visible;
		}
		.active.carousel-item-right + .carousel-item-prev.carousel-item-right {
		  @include position(relative);
		  transition: transform 0.6s ease;
		  transform: translate3d(100%, 0, 0);
		  visibility: visible;
		  display: block;
		  visibility: visible;
		}
		.carousel-item-prev.carousel-item-right + .carousel-item,
		.carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item,
		.carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item,
		.carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item + .carousel-item
		{
			@include position(relative);
			transition: transform 0.6s ease;
			transform: translate3d(100%, 0, 0);
			visibility: visible;
			display: block;
			visibility: visible;
		}
		.carousel-item.active ~ .carousel-item-prev.carousel-item-right {
		  text-align: left !important;
		}
	  }
}
@media(max-width:1000px) {
	.s_s1_ind{
		& .t_prod_info_sub{
			& h6{
				margin-bottom: 0 !important;
				& .product_name{
					font-size:nth($f_sizes,2) !important;
				}
			}
			& .product_price{
				font-size:nth($f_sizes,3) !important;
			}
		}
	}
	.t_slider_filter_main {
		border-bottom: 0;
	}
	.pc_style_1_main .t_slider_filter_main
	{
		border-bottom: 1px solid #ededed;
	}
}

@media(max-width:992px) {
	.slider_style_2 { 
		.slider_style_2_right_pannel { 
			.t_product_ind {
				width:48%;
			}
		}
	}
	
			.slider_style_4{
				.style_4_item{
					width:48%;
					margin: 0 1% 0 0;
					.t_slider_img {
						width:100%;
						margin:0;
						img { 
							display: block;
    						margin: 0px auto;
						}
					}
					.t_slider_details {
						width:100%;
					}
				}
			}

}
@media(max-width:600px) {

	.s_s1_ind .t_prod_info .t_prod_info_sub .product_name{
		max-width:200px
	}

	.p_filter_slider .carousel-control-next {
		right:0;
	}
	.c_style_1{
		& .t_prod_info_sub{
			padding:0.3rem 0.3rem 1rem 0.3rem !important;
			& .prod_cart_wish{
				& .btn{
					padding: 0.3rem 0.5rem !important;
				}
			}
		}
		& section.position-relative{
			& h6{
				margin-bottom: 0 !important;
			}
			& .product_name{
				font-size:nth($f_sizes,2) !important;
			}
			& .product_price{
				font-size:nth($f_sizes,3) !important;
			}
			& .btn{
				padding: 0.3rem 0.5rem !important;
			}
		}

	}
	.ps_style_3_main .t_slider_details .btn-secondary
	{
		padding: 0.475rem 0.8rem;
	}
	.t_slider_filter_main .filter_value h4
	{
			font-size:nth($f_sizes,3);
	}
	.t_slider_filter_main .filter_value
	{
		padding-bottom: 4px;
	}
	.pc_style_1_main .t_slider_filter_main .filter_value h4
	{
		font-size:nth($f_sizes,2);
	}
	.pc_style_1_main .t_slider_filter_main .filter_value
	{
		padding-bottom: 0;
		margin-top: 8px;
	}
}
@media(max-width:540px) {
	.pf_style_2_single_slider .filter_div_class_single .load_more_style_2
	{
		position: relative;
		display: inline-block;
		vertical-align: text-top;
	}
	
	.slider_style_2 {
		.slider_style_2_right_pannel { 
			.t_product_ind {
				margin: 2% 2% 2% 0;
				.t_prod_info { 
					padding:1rem 0;
					.product_name{
						@include style(3,3);
					}
					.prod_cart_wish { 
						.btn {
							padding: 0.2rem 0.4rem;
						}
					}
					.t_shop_del {
						display: block;
						margin: 0 !important;
					}
				}
			}
		}
	}
	.style_slideshow_3{
		.oe_theme_product_multi_slider_container {
			width:100%;
			.style_3_item {
			 	.t_slider_details {
			 		a {
			 		@include style(3,25,inherit,null,capitalize);
			 		} 
			 		.product_price {
			 			@include style(2,2,inherit,null,null);
			 		}
				}
			}
		}
	}
		
	.product_single_slider_div {
		float:none;
	}
	
			.slider_style_4{
				.style_4_item{
					.t_slider_img {
						img { 
							display: block;
    						margin: 0px auto;
						}
					}
					.t_slider_details {
						.product_name {
							@include style(3,3,inherit,null,capitalize);
						}
						.product_price {
							@include style(2,2,inherit,null,null);
						}
					 	.prod_cart_wish { 
					 		.btn {
					 			padding:0.3rem 0.5rem;
					 			i {
					 				display:none;
					 			}
					 		}
					 	}
					 }
				}
			}
	
}





